Debian Bug report logs - #497779
mime-support: should use information in /usr/share/applications

version graph

Package: mime-support; Maintainer for mime-support is Mime-Support Maintainers <mime-support@plessy.org>; Source for mime-support is src:mime-support.

Reported by: Josselin Mouette <joss@debian.org>

Date: Thu, 4 Sep 2008 09:18:50 UTC

Severity: normal

Tags: patch

Found in version mime-support/3.44-1

Fixed in versions mime-support/3.53~experimental1, mime-support/3.53

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to Brian White <bcwhite@pobox.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: submit <submit@bugs.debian.org>
Subject: mime-support: should use information in /usr/share/applications
Date: Thu, 04 Sep 2008 11:10:53 +0200
[Message part 1 (text/plain, inline)]
Package: mime-support
Version: 3.44-1

I’m tired of receiving bug reports asking to add a debian/mime file to
support an outdated MIME system that no application I know besides mutt
still uses.

All the information you need to generate mailcap entries for all
GNOME/KDE/XFCE applications is in /usr/share/applications, and is
specified at:
http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html
With the MimeType, Exec, TryExec and Terminal fields, you have all the
information you need to write a mailcap file.

update-mime should use this information directly instead of requiring
packages to duplicate it, increasing the maintainers’ load for no good
reason.

Cheers,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. Full text and rfc822 format available.

Acknowledgement sent to bcwhite@pobox.com:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. Full text and rfc822 format available.

Message #10 received at 497779@bugs.debian.org (full text, mbox):

From: Brian White <bcwhite@glattnet.ch>
To: Josselin Mouette <joss@debian.org>, 497779@bugs.debian.org
Subject: Re: Bug#497779: mime-support: should use information in /usr/share/applications
Date: Sat, 13 Sep 2008 20:54:43 +0200
> I’m tired of receiving bug reports asking to add a debian/mime file to
> support an outdated MIME system that no application I know besides mutt
> still uses.

Thank you for your polite and informative email.  I'll get to it soon.

-- Brian




Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Sat, 18 Feb 2012 15:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Sat, 18 Feb 2012 15:45:08 GMT) Full text and rfc822 format available.

Message #15 received at 497779@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: bcwhite@pobox.com, 497779@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>
Subject: Re: Bug#497779: mime-support: should use information in /usr/share/applications
Date: Sat, 18 Feb 2012 16:40:24 +0100
severity 497779 important
thanks

On Sat, 13 Sep 2008, Brian White wrote:
> >I’m tired of receiving bug reports asking to add a debian/mime file to
> >support an outdated MIME system that no application I know besides mutt
> >still uses.
> 
> Thank you for your polite and informative email.  I'll get to it soon.

It looks like this never happened. And we recently had a discussion about
this in debian-devel. It would be nice to see this implemented for the
benefit of everybody.

You recently uploaded a version with a trigger on
/usr/share/mime/packages/, now you should add a second trigger
on /usr/share/applications and scan this directory looking
for .desktop files with MimeType=foo lines.
    
See some explanations by Russ Alberry:
http://lists.debian.org/87k446oqzh.fsf@windlord.stanford.edu
    
Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Fri, 02 Mar 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Fri, 02 Mar 2012 00:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 497779@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: 497779@bugs.debian.org, 497779-submitter@bugs.debian.org
Subject: Patch for mime-support to handle .desktop files
Date: Fri, 2 Mar 2012 00:31:48 +0000
[Message part 1 (text/plain, inline)]
tags 497779 + patch
kthxbye

I've attached a patch that makes mime-support read .desktop files from
/usr/share/applications.  I've tested it and I am able to use evince
(*ahem*) to view PDFs from mutt.  I would also like to point out, for
the benefit of the submitter, that the entire implementation and testing
process took less than an hour.

If the same program has a file in both /usr/lib/mime/packages and
/usr/share/applications, the latter is ignored because presumably the
maintainer wanted to use the former since they provided it.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[mime-support-desktop.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Fri, 02 Mar 2012 00:33:04 GMT) Full text and rfc822 format available.

Message sent on to Josselin Mouette <joss@debian.org>:
Bug#497779. (Fri, 02 Mar 2012 00:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Sat, 03 Mar 2012 22:00:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Sat, 03 Mar 2012 22:00:39 GMT) Full text and rfc822 format available.

Message #30 received at 497779@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 497779@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Josselin Mouette <joss@debian.org>
Subject: Patch for mime-support to handle .desktop files
Date: Sat, 03 Mar 2012 23:00:12 +0100
[Message part 1 (text/plain, inline)]
hi brian,

I only quickly glanced at the patch and my perl is pretty rusty, so
beware, but from what I see, you don't handle .desktop files from
subdirectories. The most prominent one is /usr/share/applications/kde4.
Dunno, if there are other DEs/apps using a subdirectory.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Mon, 05 Mar 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Mon, 05 Mar 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #35 received at 497779@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Michael Biebl <biebl@debian.org>, control@bugs.debian.org
Cc: 497779@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Patch for mime-support to handle .desktop files
Date: Mon, 5 Mar 2012 00:59:03 +0000
[Message part 1 (text/plain, inline)]
On Sat, Mar 03, 2012 at 11:00:12PM +0100, Michael Biebl wrote:
> I only quickly glanced at the patch and my perl is pretty rusty, so
> beware, but from what I see, you don't handle .desktop files from
> subdirectories. The most prominent one is /usr/share/applications/kde4.
> Dunno, if there are other DEs/apps using a subdirectory.

I've fixed this and have attached a patch that recurses into
subdirectories.  I've confirmed that both evince and amarok are now
listed in /etc/mailcap with my patch.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[mime-support-desktop.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Mon, 05 Mar 2012 04:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Mon, 05 Mar 2012 04:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 497779@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 497779@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Patch for mime-support to handle .desktop files
Date: Mon, 05 Mar 2012 05:55:32 +0100
[Message part 1 (text/plain, inline)]
On 05.03.2012 01:59, brian m. carlson wrote:
> On Sat, Mar 03, 2012 at 11:00:12PM +0100, Michael Biebl wrote:
>> I only quickly glanced at the patch and my perl is pretty rusty, so
>> beware, but from what I see, you don't handle .desktop files from
>> subdirectories. The most prominent one is /usr/share/applications/kde4.
>> Dunno, if there are other DEs/apps using a subdirectory.
> 
> I've fixed this and have attached a patch that recurses into
> subdirectories.  I've confirmed that both evince and amarok are now
> listed in /etc/mailcap with my patch.

Shouldn't you also register a file-based trigger for
/usr/share/applications?

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Tue, 06 Mar 2012 04:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Tue, 06 Mar 2012 04:00:03 GMT) Full text and rfc822 format available.

Message #45 received at 497779@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Michael Biebl <biebl@debian.org>
Cc: 497779@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Patch for mime-support to handle .desktop files
Date: Tue, 6 Mar 2012 03:56:50 +0000
[Message part 1 (text/plain, inline)]
On Mon, Mar 05, 2012 at 05:55:32AM +0100, Michael Biebl wrote:
> Shouldn't you also register a file-based trigger for
> /usr/share/applications?

One needs to be registered, yes.  I figured that was something that the
maintainer would take care of when he applied the patch.  I'm not
familiar enough with dpkg triggers to do so myself.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Fri, 01 Jun 2012 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Fri, 01 Jun 2012 11:39:04 GMT) Full text and rfc822 format available.

Message #50 received at 497779@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Developers <debian-devel@lists.debian.org>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: May be ITP: mime-support-extra to close #658139 (Was: Breaking programs because a not yet implemented solution exists in theory)
Date: Fri, 1 Jun 2012 13:33:52 +0200
Hi,

On Thu, May 31, 2012 at 10:56:50PM +0200, Michael Biebl wrote:
> On 31.05.2012 21:35, Andreas Tille wrote:
> 
> > In any case the idea is to collect issues of broken mime support where
> > maintainers are unable / not willing to respect Debian policy 9.7.
> > Adding more entries is simple:  Just add the according mime file as
> > <pkg>.mime and add <pkg> to "Enhances" in debian/control.
> 
> I don't think adding such a package is a good idea. It's just an ugly
> work-around.

Fully ACK.  That's why the first of the option what could be done was to
leave it as local package and do not upload it officially.

> In http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779 there is
> already a patch by brian m. carlson. Any effort regarding this issue
> should be spent getting this patch ready and applied to mime-support.

I would consider the severity of this bug to low considering that
several applications are broken if we will not fix this problem before
the next stable release.  Is there anything which prevents an upload of
this fix?  If there would be no soonish upload I'd consider increasing
the severity to make sure it will not be forgotten somehow.

Kind regards

        Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Wed, 13 Jun 2012 22:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Wed, 13 Jun 2012 22:45:03 GMT) Full text and rfc822 format available.

Message #55 received at 497779@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: Raphael Hertzog <hertzog@debian.org>, Michael Biebl <biebl@debian.org>, "brian m. carlson" <sandals@crustytoothpaste.net>, 497779@bugs.debian.org
Subject: Re: mime-support: should use information in /usr/share/applications
Date: Thu, 14 Jun 2012 00:43:12 +0200
Josselin Mouette <joss@debian.org> writes:

> I’m tired of receiving bug reports asking to add a debian/mime file to
> support an outdated MIME system that no application I know besides mutt
> still uses.

There is also Gnus. ;-)

> All the information you need to generate mailcap entries for all
> GNOME/KDE/XFCE applications is in /usr/share/applications, and is
> specified at:
> http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html
> With the MimeType, Exec, TryExec and Terminal fields, you have all the
> information you need to write a mailcap file.
>
> update-mime should use this information directly instead of requiring
> packages to duplicate it, increasing the maintainers’ load for no good
> reason.

gvfs-open (from gvfs-bin, not required to pull all gvfs package to work)
could be a solution to the mentioned problem (but not a solution for
this bug since there is no way to get a mailcap from it).

gvfs-bin could provide a mailcap entry like this:

  application/*; gvfs-open '%s'; test=test -n "$DISPLAY"

Or the entire mailcap could just contain a wildcard entry:

  */*; gvfs-open '%s'; test=test -n "$DISPLAY"

But I think many will disapprove because mailcaps are more expressive
(but /etc/mailcap.order is a pain, I prefer to use xdg-mime to set my
preferred application).

One problem is that gvfs-open will exit without waiting for the
application to terminate. Usually, the invoking program will delete the
provided file. The launched application may not even have the time to
read the file. Adding a sleep is not a solution because some
applications will detect that the file has disappeared and will close
themselves (like evince).

I have submitted a patch to allow gvfs-open to wait for the invoked
program to terminate. This is bug #677430 in BTS. I have also submitted
it upstream:
 https://bugzilla.gnome.org/show_bug.cgi?id=652262
-- 
die_if_kernel("Whee... Hello Mr. Penguin", current->tss.kregs);
	2.2.16 /usr/src/linux/arch/sparc/kernel/traps.c




Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Tue, 17 Jul 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Tue, 17 Jul 2012 21:48:03 GMT) Full text and rfc822 format available.

Message #60 received at 497779@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: missing mime entry
Date: Tue, 17 Jul 2012 23:45:42 +0200
[Message part 1 (text/plain, inline)]
Just some numbers I got by grepping over the archive on lintian.d.o:

# of packages shipping .desktop files with MimeType associations: 601
# of packages shipping a corresponding mime file in
/usr/lib/mime/packages: 89

If a missing mime file would mean an RC bug, this would instantly make
514 packages RC buggy.
Interestingly, the particular section in the Debian policy is a should
directive, not a must, so I don't understand the reasons for making
#658139 RC.

That said, it seems to me, Debian policy and reality have diverged so
far, that imho a reasonable action her is to update or remove the
relevant section in the Debian policy (§9.7) to actually reflect current
practice.

Creating and keeping those mime files up-to-date is probably okay if you
maintain a single package or you need some of the special features that
mime-support provides. It adds up though, if you maintain multiple
packages. As maintainers time is limited and valuable I'd rather see it
spent for really important issues and simply get the patch in [1]
applied to mime-support which auto-generates those mime entries for
legacy apps which don't yet support the xdg mime spec [2].


Michael
		
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=497779
[2] http://www.freedesktop.org/wiki/Specifications/shared-mime-info-spec
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Tue, 17 Jul 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Tue, 17 Jul 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #65 received at 497779@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: missing mime entry
Date: Wed, 18 Jul 2012 00:01:29 +0200
[Message part 1 (text/plain, inline)]
there is a small typo...

On 17.07.2012 23:45, Michael Biebl wrote:
> Just some numbers I got by grepping over the archive on lintian.d.o:
> 
> # of packages shipping .desktop files with MimeType associations: 601
                                                                    ^
                                                                    603
> # of packages shipping a corresponding mime file in
> /usr/lib/mime/packages: 89
> 
> If a missing mime file would mean an RC bug, this would instantly make
> 514 packages RC buggy.
  ^
Just in case someone was questioning my math :-)


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Wed, 18 Jul 2012 09:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Wed, 18 Jul 2012 09:39:06 GMT) Full text and rfc822 format available.

Message #70 received at 497779@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: 681687@bugs.debian.org, 658139@bugs.debian.org, 497779@bugs.debian.org
Subject: Re: missing mime entry
Date: Wed, 18 Jul 2012 10:14:21 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Jul 17, 2012 at 11:45:42PM +0200, Michael Biebl wrote:
> If a missing mime file would mean an RC bug, this would instantly make
> 514 packages RC buggy.
> Interestingly, the particular section in the Debian policy is a should
> directive, not a must, so I don't understand the reasons for making
> #658139 RC.
> 

For info, I do not consider all packages missing a mime file to be RC
buggy. I consider #658139 RC.

> Creating and keeping those mime files up-to-date is probably okay if you
> maintain a single package or you need some of the special features that
> mime-support provides. It adds up though, if you maintain multiple
> packages. As maintainers time is limited and valuable I'd rather see it
> spent for really important issues and simply get the patch in [1]
> applied to mime-support which auto-generates those mime entries for
> legacy apps which don't yet support the xdg mime spec [2].
> 

As I understand it, there are still a number of issues with this
approach (.desktop files do not contain enough information to get
argument ordering correct in all cases, and it's far too late to start
using a new auto-generation system this late in the cycle).

I also disagree that
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=%23658139#29 is
justification for this bug.

There is a two line patch that reintroduces this file, and will not
cause issues for the eventual solution (when it finally exists) that the
maintainer prefers. Deliberately breaking functionality because the
maintainer a) doesn't agree with policy and/or wants to use the package
as a stick for others to do work does not to me seem to be the correct
action to take.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#497779; Package mime-support. (Wed, 18 Jul 2012 23:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian White <bcwhite@pobox.com>. (Wed, 18 Jul 2012 23:45:06 GMT) Full text and rfc822 format available.

Message #75 received at 497779@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Neil McGovern <neilm@debian.org>, 658139@bugs.debian.org
Subject: Re: Bug#658139: missing mime entry
Date: Thu, 19 Jul 2012 01:40:34 +0200
[Message part 1 (text/plain, inline)]
On 18.07.2012 11:14, Neil McGovern wrote:
> Hi,
> 
> On Tue, Jul 17, 2012 at 11:45:42PM +0200, Michael Biebl wrote:
>> If a missing mime file would mean an RC bug, this would instantly make
>> 514 packages RC buggy.
>> Interestingly, the particular section in the Debian policy is a should
>> directive, not a must, so I don't understand the reasons for making
>> #658139 RC.
>>
> 
> For info, I do not consider all packages missing a mime file to be RC
> buggy. I consider #658139 RC.

And what is the reason that makes evince special and distinguishes it
from other packages which never shipped a mime file or no longer do?
Your decision seems arbitrary.
mime files were removed across the board from the GNOME packages a long
time ago.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Wed, 25 Jul 2012 23:33:09 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Wed, 25 Jul 2012 23:33:09 GMT) Full text and rfc822 format available.

Message #80 received at 497779-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 497779-close@bugs.debian.org
Subject: Bug#497779: fixed in mime-support 3.53~experimental1
Date: Wed, 25 Jul 2012 23:32:39 +0000
Source: mime-support
Source-Version: 3.53~experimental1

We believe that the bug you reported is fixed in the latest version of
mime-support, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497779@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated mime-support package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Jul 2012 07:29:22 +0900
Source: mime-support
Binary: mime-support
Architecture: source all
Version: 3.53~experimental1
Distribution: experimental
Urgency: low
Maintainer: Mime-Support Maintainers <mime-support@plessy.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 mime-support - MIME files 'mime.types' & 'mailcap', and support programs
Closes: 497779 681640 682745
Changes: 
 mime-support (3.53~experimental1) unstable; urgency=low
 .
   * Adopted by László Böszörményi and Charles Plessy. (Closes: #681640)
   * Manage the source package with Git in Alioth collab-maint's group.
     (Closes: #682745)
   * Parse Desktop entries to generate mailcap entries. Patch from Brian M. Carlson.
     (Closes: #497779)
   * Trigger update-mime for Desktop entry files added in /usr/share/applications.
Checksums-Sha1: 
 5cfec6cd9f6ff693e7d6b681d2e3e5365c925ed4 1686 mime-support_3.53~experimental1.dsc
 a83f87cbdc6a201b5cd8712efb83cfc4799e8da7 31838 mime-support_3.53~experimental1.tar.gz
 26c30c440012649381f32b8861468703b311ebb4 36088 mime-support_3.53~experimental1_all.deb
Checksums-Sha256: 
 a1f9ce2c95ec862e9e3ee8034f89e0bf94f9eed4f5774bc0df8a10bd59a53802 1686 mime-support_3.53~experimental1.dsc
 6467916c13aa4f1f59a7cf0218ecd457ac59ae3a1a4e14e02e8038458d818a78 31838 mime-support_3.53~experimental1.tar.gz
 af85f1626c698c26e2966144da56c699a7cb1b61ec4d92be9c8be0b562ed5d78 36088 mime-support_3.53~experimental1_all.deb
Files: 
 80d905195822810b5c6c3e72579d9cf5 1686 net standard mime-support_3.53~experimental1.dsc
 43a36d1ffb5a63480bf6dde9f9fe02ce 31838 net standard mime-support_3.53~experimental1.tar.gz
 3f40c05fa931049f824da7ef2c53f96d 36088 net standard mime-support_3.53~experimental1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQEID2AAoJEMW9bI8ildUCCDgP/A0Sckj0PLeTT4rrev6cT/wS
CouYTW0vMPO4EDGtZKoEW7R2015S8PvgWF2BMSgnZ9yf3GYJlCxfSlmytF5DCfQb
QKl5dCkoX8Mck3LyI36Z31jJNr51fLXqT9i6YPS3FJTjPcFsH0bmKJVUCdg++hSV
OWRpeCdyQTM4Qwc2UKMYBhs/RYqhKEZlq0lbFDlpBmtrUwgT/r9AcVVh0I6p7+2y
MPBXvXqJ0s6psWwtwDSXmbMbkaqMY5LpdzV+8GEEXtHAG7MGzOACGlb4Wg7nnL+u
BzodUAo+CsDzzZangHwsbdsMDPCtHzdg7DtyKjLaw8umX9jQqe6HpbSVx1wthAOz
3OMzJwL2VroqnjaHlXP0mR2rgs4gCc320t4Rj2jr2Nhw5XPBxn03o5pMhm0Fi0NL
K2yWWGaIq4GiIqhhq+YASrsaIdfyY5SjFPQYfDN3JsZUjGjtuyXV7M4xTj7s2/pR
v4h/A67VxYoM7Wy15GDjQ0AjoPDlCsWjt4AcYeE6CzkGZqk//lnkUfnmTHpAm+f2
dYiEjsY95HbeIYaiL5JQ9V+kvb8zUULw9YIlsj4BmASfLfbWJ052ZXbdZ/1XV9wn
7TGzwfQw58vkpD+kahUAuejpNffCTLMEFLUsEkU13aNaCP2mqHuFjdQfKgdgOZD/
/eCDQZGIYupdHMAp0lvR
=qsVY
-----END PGP SIGNATURE-----




Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Sun, 05 May 2013 09:21:11 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Sun, 05 May 2013 09:21:11 GMT) Full text and rfc822 format available.

Message #85 received at 497779-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 497779-close@bugs.debian.org
Subject: Bug#497779: fixed in mime-support 3.53
Date: Sun, 05 May 2013 09:18:52 +0000
Source: mime-support
Source-Version: 3.53

We believe that the bug you reported is fixed in the latest version of
mime-support, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497779@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated mime-support package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 05 May 2013 17:24:50 +0900
Source: mime-support
Binary: mime-support
Architecture: source all
Version: 3.53
Distribution: unstable
Urgency: low
Maintainer: Mime-Support Maintainers <mime-support@plessy.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 mime-support - MIME files 'mime.types' & 'mailcap', and support programs
Closes: 497779 594915 664824 682856 688383 695357
Changes: 
 mime-support (3.53) unstable; urgency=low
 .
   * Media types:
   a100b97 Add the .opus file suffix to the audio/ogg media type.
           (Closes: #688383)
   8da67da Add text/turtle media type. for .ttl files (Closes: #664824).
   1d86b38 Add image/jp2 media type for .jp2 and .jpg2 files (Closes: #682856).
   98c6ac3 Removed the note on compression schemes (see RFC 6713).
   c7e6eb1 Display reportbug message suggesting to register types to the IANA.
 .
   * Packaging:
   6a08271 Instruct to report a bug instead of emailing maintainers.
   51dd6c7 Mark Multi-Arch: foreign. (Closes: #695357)
   801bd8b Parse Desktop entries to generate mailcap entries.
           Patch from Brian M. Carlson. (Closes: #497779)
   a6e8a0f Trigger update-mime for Desktop entry files added in
           /usr/share/applications.
   0fb8225 Mention Dpkg triggers in the manual page of update-mime.
           (Closes: #594915)
   8b6c149 Delete debhelper log file.
   734c10e Normalised VCS URLs following Lintian's standard.
   d649fdc Provide build-arch and build-indep targets (that do nothing).
   158d5df Normalised debian/control with config-model.
   67b016c Renamed debian/README debian/copyright.
   26254f8 Machine-readable Debian copyright file.
   060229d Disambiguate hyphens in manual pages.
   a455a4d Corected spelling error in a manual page.
   9279645 Silent binary-arch target (that does nothing anyway).
   105047b Removed conglicts on a2ps and metamail, older than oldstable.
   687feeb Unversionned recommendation on file, satisfied even in oldstable.
   762a035 Drop dependency on debhelper by pasting code from dh_md5sums.
   f318e0b Remove 'Debian' from the file name of the change log.
   5ddd68b Conforms to Policy version 3.9.4.
Checksums-Sha1: 
 8068c10fb9134910dac45bef31719e22e98959a9 1616 mime-support_3.53.dsc
 a7fa9a522efa8df8296ac801f09d065df8e8e1f0 32708 mime-support_3.53.tar.gz
 7fa604bce4a6753e2872e6e311e120a63591caf9 37060 mime-support_3.53_all.deb
Checksums-Sha256: 
 9a7dc8b3bb4b84c4acce70b0ea41c0e748b5fea83a3aa0bb170ba6ac2973ca94 1616 mime-support_3.53.dsc
 e648343a4cb59bfb71fb5b746fd4e456471bd022ca311bd8d16adf13536accca 32708 mime-support_3.53.tar.gz
 26b5901992f2b45de3e36124e1bee67dd07df67463845928b2e8661504d48914 37060 mime-support_3.53_all.deb
Files: 
 fb8d44b7ebab96ed9ae6c333bb32a60d 1616 net standard mime-support_3.53.dsc
 9808c07f4926de47ca7b6d495d838d18 32708 net standard mime-support_3.53.tar.gz
 6acd778b81fda39884becc85015a7dc9 37060 net standard mime-support_3.53_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRhh2SAAoJEMW9bI8ildUCsbsP/1VwnjhcIXgfion257YTlQuW
ycrGrD3aGDxYAtSO4zR0ENv7RgzGc68YfTg/MJnZmxr/LwrYPDDZN/tX0A0/uKU9
rNxmDOZF6bCrzLVnyqF9oJ8jK1wgqS5XntjPNp6v8CJJl5Phd800P44hBGhq54xE
bv1VgpNzT7exeTo+CixkuyMaBhW4VkjSbgRGJ/AIxLWFl7cnAkI2rJjMdwf/PLho
htuVvQY4/HJgHu6V0pE1TblDRbx5ybkYNWGqlfzKZKZHb+zuy611sJ7MLbdzyQZj
q1c1esPFR2b4C8mitX2nlCCFNngOi8xte5rfFK1aOYkXYrkFVyXrDjH6OZemRv4w
c54cjbsI8yV6O4mHfmb3WgaesrR/V0hgQ2hvt2Vfb6BZYYI6CXulL9h6LylY4s7g
iwbq1JNOTTfUNgk/dkcO6ncErjCdqN7PxtNXIBO+IJgf9QkwO1Y1XHaZ1HisBrRr
iXuvz/5vxJbpMvbf7wUh99Vdz0gjpusLnwiILDqzJI+g9ETdqfcGbzqS+IgfO6AK
8IdwmjsLjBPROl0jDdVKs8UC4lU/UPTTqM7Ph08OS1ikbxmnYwMMKTJVuL/RZamH
zJ6hMA9BmQNGpcTFTCjGm6Mvt+0BReGtUt60mXWXbLaMSyx/fPKT6UVGvZrwdrnl
5rIEyNwPsxMs6JIZIixH
=544i
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 09:05:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:31:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.